<head>
<title>Factura PDF</title>
</head>

<body>
	<?php
	
	session_start();
	include("conexion.php");
	include 'mysql_Agregar_auditoria.php';
	
	$res=$_GET['id_f'];
	
	$sql="select archivo_pdf from facturas where id_factura=".$res;
	mysqli_query($conexion,'SET NAMES utf8');
	$resultado = $conexion->query($sql); 
	$fila = $resultado->fetch_assoc();
	 
	$fichero = $fila["archivo_pdf"];
	$arhchivo_tem=explode(".pdf",$fichero);
	
	$nuevo_fichero = $arhchivo_tem[0].'.pdf';
	
	$pdf_base64_handler = fopen($nuevo_fichero,'r');
	if(!$pdf_base64_handler)
	{
		?>
		<script>
		alert("Existe error en el PDF");
		window.close();
		</script>
		<?php
		$informacion = 'Existe error en al intentar generar PDF en Detalle Factura '.$res;
		$datos = "";
		insertAuditoria($informacion,$datos,$_SESSION['id_usuario'],$_SESSION['direccion_ip'],$_SESSION['direccion_mac']);	
		mysqli_close($conexion);
	}
	else
	{
	$pdf_content = fread ($pdf_base64_handler,filesize($nuevo_fichero));
	fclose ($pdf_base64_handler);
	$pdf_base64 = base64_encode($pdf_content);
		$informacion = 'Genero archivo Detalle Factura '.$res;
		$datos = "";
		insertAuditoria($informacion,$datos,$_SESSION['id_usuario'],$_SESSION['direccion_ip'],$_SESSION['direccion_mac']);	
		mysqli_close($conexion);
	
	?>
	<iframe src="data:application/pdf;base64,<?php echo $pdf_base64; ?>" width="100%" height="100%"></iframe>
	<?php
	}
	?>
</body>
